Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class DirectoryUser

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.PublicObject

                        |

                        +--oracle.ifs.beans.TiePublicObject

                              |

                              +--oracle.ifs.beans.DirectoryObject

                                    |

                                    +--oracle.ifs.beans.TieDirectoryObject

                                          |

                                          +--oracle.ifs.beans.DirectoryUser

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieDirectoryUser

public class DirectoryUser
extends TieDirectoryObject

A DirectoryUser represents an iFS user.

This class is referenced by several other classes by attributes that hold information as to "who" has performed some action. For example, the Owner attribute on PublicObject references the DirectoryUser who owns that particular PublicObject.

Field Summary
`static java.lang.String` | `ADMINENABLED_ATTRIBUTE` An indicator of whether this DirectoryUser has administrative privileges and can enter administration mode.
`static java.lang.String` | `CLASS_NAME` Name of this class.
`static java.lang.String` | `CREDENTIALMANAGER_ATTRIBUTE` The name of the CredentialManager for this DirectoryUser.
`static java.lang.String` | `DISTINGUISHEDNAME_ATTRIBUTE` The name by which the CredentialManager for this DirectoryUser refers to this user.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each DirectoryUser has a unique Name.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, ADMINISTRATIONGROUP_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKEDFORSESSION_ATTRIBUTE, LOCKSTATE_ATTRIBUTE, LOCKSTATE_HARDLOCK, LOCKSTATE_SESSIONLOCK, LOCKSTATE_SOFTLOCK, LOCKSTATE_UNLOCK, LOCKSTATE_USERLOCK, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Method Summary
`DirectoryUser[]` | `getAllUserMembers()` Gets this DirectoryUser.
`DirectoryUser` | `getAllUserMembers(int index)` Gets this DirectoryUser at specified index.
`java.lang.String` | `getCredentialManager()` Gets the credential manager of this DirectoryUser.
`java.lang.String` | `getDistinguishedName()` Gets the distinguished name for this DirectoryUser.
`PrimaryUserProfile` | `getPrimaryUserProfile()` Gets the PrimaryUserProfile of this DirectoryUser.
`boolean` | `isAdminEnabled()` Checks if this DirectoryUser has admin privileges.
`void` | `setAdminEnabled(boolean value)` Sets admin privileges of this DirectoryUser.
`void` | `setCredentialManager(java.lang.String credentialManager)` Sets the credential manager of this DirectoryUser.
`void` | `setDistinguishedName(java.lang.String name)` Sets the distinguished name of this DirectoryUser.

Methods inherited from class oracle.ifs.beans.DirectoryObject
`getAllAncestors, getAllAncestors, getAllMembers, getAllMembers, getDirectAncestors, getDirectAncestors, getDirectMembers, getDirectMembers, handleEvent, resetAllAncestors, resetDirectAncestors`

Methods inherited from class oracle.ifs.beans.PublicObject
`addCategory, addRelationship, checkEffectiveAccess, checkEffectiveAccess, copy, getAcl, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getCategories, getCategories, getCreateDate, getCreator, getDefaultAccessLevel, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFlags, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLockedState, getLockState, getLockStateLabel, getOwner, getPolicyBundle, getPropertyBundle, getResolvedPublicObject, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, grantAccess, hasNameAttribute, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isVersionable, isVersioned, lock, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, removeRelationship, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setOwner, setPolicyBundle, setPropertyBundle, setSecuringPublicObject, toLockStateLabel, toLockStateLabel, toLockStateLabel, unlock`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Name of this class.

  Useful for methods that take a class name argument.

### DISTINGUISHEDNAME_ATTRIBUTE

    public static final java.lang.String DISTINGUISHEDNAME_ATTRIBUTE

  The name by which the CredentialManager for this DirectoryUser refers to this user.

### ADMINENABLED_ATTRIBUTE

    public static final java.lang.String ADMINENABLED_ATTRIBUTE

  An indicator of whether this DirectoryUser has administrative privileges and can enter administration mode.

### CREDENTIALMANAGER_ATTRIBUTE

    public static final java.lang.String CREDENTIALMANAGER_ATTRIBUTE

  The name of the CredentialManager for this DirectoryUser.

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  A system-set attribute used to ensure each DirectoryUser has a unique Name.

Method Detail

### getAllUserMembers

    public DirectoryUser[] getAllUserMembers()
                                      throws IfsException

  Gets this DirectoryUser.
  Overrides:
    `getAllUserMembers` in class `DirectoryObject`
  Returns:
    array containing this one DirectoryUser
  Throws:
    `IfsException` - if operation fails.

### getAllUserMembers

    public DirectoryUser getAllUserMembers(int index)
                                    throws IfsException

  Gets this DirectoryUser at specified index.

  This is an override of the method in DirectoryObject. Since a DirectoryUser does not have any other members, the index must be 0.

  Overrides:
    `getAllUserMembers` in class `DirectoryObject`
  Parameters:
    `index` - must be zero to get this DirectoryUser
  Returns:
    this DirectoryUser
  Throws:
    `IfsException` - if operation fails.

### getDistinguishedName

    public java.lang.String getDistinguishedName()
                                          throws IfsException

  Gets the distinguished name for this DirectoryUser.
  Returns:
    the distinguished name
  Throws:
    `IfsException` - if operation fails.

### getPrimaryUserProfile

    public PrimaryUserProfile getPrimaryUserProfile()
                                             throws IfsException

  Gets the PrimaryUserProfile of this DirectoryUser.
  Returns:
    the PrimaryUserProfile
  Throws:
    `IfsException` - if operation fails.

### isAdminEnabled

    public boolean isAdminEnabled()
                           throws IfsException

  Checks if this DirectoryUser has admin privileges.
  Returns:
    whether this DirectoryUser is admin enabled
  Throws:
    `IfsException` - if the operation fails.

### getCredentialManager

    public java.lang.String getCredentialManager()
                                          throws IfsException

  Gets the credential manager of this DirectoryUser.
  Returns:
    the credential manager
  Throws:
    `IfsException` - if operation fails.

### setAdminEnabled

    public void setAdminEnabled(boolean value)
                         throws IfsException

  Sets admin privileges of this DirectoryUser.
  Parameters:
    `value` - true if enabling admin mode
  Throws:
    `IfsException` - if the operation fails.

### setDistinguishedName

    public void setDistinguishedName(java.lang.String name)
                              throws IfsException

  Sets the distinguished name of this DirectoryUser.
  Parameters:
    `name` - the distinguished name
  Throws:
    `IfsException` - if the operation fails.

### setCredentialManager

    public void setCredentialManager(java.lang.String credentialManager)
                              throws IfsException

  Sets the credential manager of this DirectoryUser.
  Parameters:
    `credentialManager` - the name of the credential manager
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD